@import "pref";

app-layout-control-panel {
  width: 100%;
  height: 100%;

  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  align-items: flex-start;

  .page-header,
  .page-main {
    flex-shrink: 0; //important, so that the blocks are correctly extended in height
    width: 100%;

    display: flex;
    flex-direction: row;
    justify-content: flex-start;
    align-items: stretch;
  }

  .page-header {
    background-color: $color-white;
  }

  .header-content {
    display: flex;
    flex-direction: row;
    justify-content: flex-start;
    align-items: stretch;

    app-logo-header {
      margin-left: auto;
    }

    mat-tab-group {
      width: 100%;
      max-width: $grid-breakpoint-mobile - 50;
    }
  }

  .page-main {
    flex-grow: 1;
    background-color: $color-white;
  }

  .mat-tab-header {
    border-bottom: 0;
  }

  .mat-tab-label {
    min-width: 20px;
    height: 52px;

    @include fonts($font-size-x2, $font-size-x3, $font-weight-light, normal, $color-mine-shaft);
    opacity: 1;
    user-select: none;

    &:hover:not(.mat-tab-label-active) {
      text-decoration: underline;
    }

    .mat-tab-label-content {
      white-space: normal;
    }
  }

  h2 {
    margin-top: 35px;
    margin-bottom: 15px;
  }

  .mat-tab-group[mat-stretch-tabs] .mat-tab-label {
    flex-basis: auto; // otherwise in Firefox and Safari last tab works incorrectly
  }
}

//
// ADAPTIVE
//
@include media-tablet {

  app-layout-control-panel {

    .header-content {
      mat-tab-group {
        max-width: $grid-breakpoint-tablet - 50;
      }
    }

    .mat-tab-label {
      height: 49px;
    }

    h2 {
      margin-bottom: 20px;
    }
  }
}

@include media-desktop {

  app-layout-control-panel {

    .header-content {
      mat-tab-group {
        max-width: $grid-breakpoint-desktop - 50;
      }
    }

    .mat-tab-label {
      height: 46px;
    }

    h2 {
      margin-top: 40px;
      margin-bottom: 25px;
    }
  }
}
